lucene-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From baris.ka...@oracle.com
Subject Re: A possible Java exception message fix
Date Mon, 24 Jun 2019 20:31:46 GMT
Thsi exception message:

This version of Lucene only supports indexes created with release 6.0 
and later.

needs to change to

  This version of Lucene only supports indexes created with release 7.0 
and later.


Thanks

On 6/24/19 4:30 PM, baris.kazar@oracle.com wrote:
> I already explained on the message line and in the email body:
> the exception message needs a fix and i explained in detail below.
> Thanks
>
> On 6/24/19 2:06 PM, Erick Erickson wrote:
>> What are you asking here? Indeed, Lucene 8 (and therefore Solr) will 
>> not open an index that has ever been touched by Lucene 6x or earlier. 
>> You must re-index into 8x.
>>
>> You cannot spoof this with, for instance, IndexUpgraderTool and go 
>> from 6->7->8. You must reindex from your system-of-record.
>>
>> This has been discussed several times on the mailing list, please 
>> search the mail archives for a fuller discussion.
>>
>> Best,
>> Erick
>>
>>> On Jun 24, 2019, at 11:05 AM, baris.kazar@oracle.com wrote:
>>>
>>> Ok i forgot to mention below that i was trying to run 6.6. index 
>>> with Lucene 8.1.1.
>>>
>>> Best regards
>>>
>>>
>>> On 6/24/19 2:03 PM, baris.kazar@oracle.com wrote:
>>>> Index created with Lucene 6.6 and*i tried running the same index 
>>>> with Lucene 8.1 *and according to that,  this error message might 
>>>> need update:-> This version of Lucene only supports indexes created 
>>>> with release 7.0 and later.
>>>>
>>>> The first part of the error message is consistent with the error: 
>>>> -> 6 (needs to be between 7 and 9).
>>>>
>>>> Hope this helps
>>>>
>>>> baris
>>>>
>>>> PS, here is the stack trace
>>>>
>>>>
>>>> org.apache.lucene.index.IndexFormatTooOldException: Format version 
>>>> is not supported (resource 
>>>> BufferedChecksumIndexInput(MMapIndexInput(path="/scratch/bkazar/auto_correct_index/index/segments_5"))):

>>>> 6 (needs to be between 7 and 9). *This version of Lucene only 
>>>> supports indexes created with release 6.0 and later.*
>>>>      at 
>>>> org.apache.lucene.codecs.CodecUtil.checkHeaderNoMagic(CodecUtil.java:213)
>>>>      at 
>>>> org.apache.lucene.index.SegmentInfos.readCommit(SegmentInfos.java:305)
>>>>      at 
>>>> org.apache.lucene.index.SegmentInfos.readCommit(SegmentInfos.java:289)
>>>>      at 
>>>> org.apache.lucene.index.StandardDirectoryReader$1.doBody(StandardDirectoryReader.java:64)
>>>>      at 
>>>> org.apache.lucene.index.StandardDirectoryReader$1.doBody(StandardDirectoryReader.java:61)
>>>>      at 
>>>> org.apache.lucene.index.SegmentInfos$FindSegmentsFile.run(SegmentInfos.java:680)
>>>>      at 
>>>> org.apache.lucene.index.StandardDirectoryReader.open(StandardDirectoryReader.java:84)
>>>>      at 
>>>> org.apache.lucene.index.DirectoryReader.open(DirectoryReader.java:76)
>>>>      at 
>>>> org.apache.lucene.index.DirectoryReader.open(DirectoryReader.java:64)
>>>>
>>>> .... (this should be enough for the trace)
>>>>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: java-user-unsubscribe@lucene.apache.org
> For additional commands, e-mail: java-user-help@lucene.apache.org
>


---------------------------------------------------------------------
To unsubscribe, e-mail: java-user-unsubscribe@lucene.apache.org
For additional commands, e-mail: java-user-help@lucene.apache.org


Mime
View raw message